请教一个问题!

为当前最终发行版之前的所有版本提供支持
回复
zycjf2009
帖子: 6
注册时间: 2011-03-13 11:16
送出感谢: 0
接收感谢: 0

请教一个问题!

#1

帖子 zycjf2009 » 2011-03-21 19:58

我是linux新手情况是这样的:
每次我安装软件的时候总是会提示:“锁定软件包管理器失败”“检查您有没有运行其他软件包管理工具,比如新立得或者 aptitude。在同一时间只有一个工具可以进行更改。”
在网上搜索了一下,我有个命令是“sudo rm -r /var/lib/dpkg/lock”但是执行后没效果,依然是这样,执行这个命令的返回信息是“rm: 无法删除 “/var/lib/dpkg/lock”: 没有那个文件或目录”无论重启电脑还是怎么弄都不好用...
头像
枫叶饭团
论坛版主
帖子: 14685
注册时间: 2010-06-16 1:05
系统: Mac OS X
来自: Tencent
送出感谢: 1 次
接收感谢: 132 次
联系:

Re: 请教一个问题!

#2

帖子 枫叶饭团 » 2011-03-21 21:03

你右上角再搜搜...这问题简单,可惜我不知道
头像
nmsfan
帖子: 18958
注册时间: 2009-10-16 22:46
来自: finland
送出感谢: 16 次
接收感谢: 36 次

Re: 请教一个问题!

#3

帖子 nmsfan » 2011-03-21 21:47

是不是你开着新立得然后用软件中心装软件了
或是开着上边的一个用apt-get了
>>>>推Ubuntu 桌面培训~~<<<<
>>>>想加入/了解gimp汉化吗,点我吧~<<<<
——————————————————————
不推荐wubi,也不推荐你给别人推荐wubi…………
随心而为的感觉真好……
强推mayhem!!
强推ensiferum
zycjf2009
帖子: 6
注册时间: 2011-03-13 11:16
送出感谢: 0
接收感谢: 0

Re: 请教一个问题!

#4

帖子 zycjf2009 » 2011-04-14 20:05

nmsfan 写了:是不是你开着新立得然后用软件中心装软件了
或是开着上边的一个用apt-get了
不明不你说的意思,我是新手,刚接触ubuntu!
头像
qy117121
论坛版主
帖子: 49936
注册时间: 2007-12-14 13:40
系统: Winbuntu
来自: 志虚国乌由市
送出感谢: 17 次
接收感谢: 332 次
联系:

Re: 请教一个问题!

#5

帖子 qy117121 » 2011-04-14 20:09

3楼说的是 同时只能运行一个软件包管理工具
就是说,软件中心,新立得软件包管理器,apt-get 这三个同一时间只能运行一个,
渠月 · QY

本人只会灌水,不负责回答问题

无聊可以点一下→ http://u.nu/ubuntu
头像
灰色小狼
帖子: 4572
注册时间: 2008-12-06 10:38
系统: Arch
送出感谢: 21 次
接收感谢: 30 次

Re: 请教一个问题!

#6

帖子 灰色小狼 » 2011-04-14 20:10

你开着新立得然后用终端或者软件中心装东西
头像
remeber
论坛版主
帖子: 13005
注册时间: 2009-01-06 15:18
来自: 人间
送出感谢: 1 次
接收感谢: 22 次

Re: 请教一个问题!

#7

帖子 remeber » 2011-04-14 21:43

东西可以排着队安装 。就是不能大家一起上。
“有一种被人抛诸脑后的过去,包含一些不该遗忘的点点滴滴。欢笑之余,我将故旧拾起,才刹见自己的薄情。人世间似乎存在着某种公平,每个人都曾被抛掷在他人的遗忘中;而今你所有哽咽难宣的话语,也正是你曾为人所期盼,却永远听不见的字句。” —赫曼 赫塞
头像
lotutu
帖子: 730
注册时间: 2010-12-23 16:29
来自: 北京
送出感谢: 8 次
接收感谢: 8 次

Re: 请教一个问题!

#8

帖子 lotutu » 2011-04-14 22:00

也有可能是被更新管理器上的锁,用 $ps aux|grep update 查看是不是有更新管理器已经启动
zycjf2009
帖子: 6
注册时间: 2011-03-13 11:16
送出感谢: 0
接收感谢: 0

Re: 请教一个问题!

#9

帖子 zycjf2009 » 2011-04-14 22:55

lotutu 写了:也有可能是被更新管理器上的锁,用 $ps aux|grep update 查看是不是有更新管理器已经启动
root@ubuntu:/home/username# $ps aux|grep update
未找到 'aux' 命令,您要输入的是否是:
命令 'sux' 来自于包 'sux' (universe)
命令 'uux' 来自于包 'uucp' (universe)
命令 'a2x' 来自于包 'asciidoc' (main)
命令 'vux' 来自于包 'vux' (universe)
aux:找不到命令
root@ubuntu:/home/username#
这个是运行结果,回复楼上的,我没有以前开着安装,我一个一个安装都不可以,而且,我今天开机安装更新都安装不了,郁闷。
头像
lotutu
帖子: 730
注册时间: 2010-12-23 16:29
来自: 北京
送出感谢: 8 次
接收感谢: 8 次

Re: 请教一个问题!

#10

帖子 lotutu » 2011-04-14 23:07

zycjf2009 写了:
lotutu 写了:也有可能是被更新管理器上的锁,用 $ps aux|grep update 查看是不是有更新管理器已经启动
root@ubuntu:/home/username# $ps aux|grep update
未找到 'aux' 命令,您要输入的是否是:
命令 'sux' 来自于包 'sux' (universe)
命令 'uux' 来自于包 'uucp' (universe)
命令 'a2x' 来自于包 'asciidoc' (main)
命令 'vux' 来自于包 'vux' (universe)
aux:找不到命令
root@ubuntu:/home/username#
这个是运行结果,回复楼上的,我没有以前开着安装,我一个一个安装都不可以,而且,我今天开机安装更新都安装不了,郁闷。
这个,$号是提示符的意思, 命令为 ps aux | grep update ,你对这些命令还不太懂是吧,找找一些入门书箱看看吧
另外我说的这个是对楼上的补充,应在试验楼上几位的方法不成功之后再试验这个
用root运行一个你不懂的命令是不安全的,ps 命令不需要root
zycjf2009
帖子: 6
注册时间: 2011-03-13 11:16
送出感谢: 0
接收感谢: 0

Re: 请教一个问题!

#11

帖子 zycjf2009 » 2011-04-14 23:33

lotutu 写了:
zycjf2009 写了:
lotutu 写了:也有可能是被更新管理器上的锁,用 $ps aux|grep update 查看是不是有更新管理器已经启动
root@ubuntu:/home/username# $ps aux|grep update
未找到 'aux' 命令,您要输入的是否是:
命令 'sux' 来自于包 'sux' (universe)
命令 'uux' 来自于包 'uucp' (universe)
命令 'a2x' 来自于包 'asciidoc' (main)
命令 'vux' 来自于包 'vux' (universe)
aux:找不到命令
root@ubuntu:/home/username#
这个是运行结果,回复楼上的,我没有以前开着安装,我一个一个安装都不可以,而且,我今天开机安装更新都安装不了,郁闷。
这个,$号是提示符的意思, 命令为 ps aux | grep update ,你对这些命令还不太懂是吧,找找一些入门书箱看看吧
另外我说的这个是对楼上的补充,应在试验楼上几位的方法不成功之后再试验这个
用root运行一个你不懂的命令是不安全的,ps 命令不需要root
上次设置的时候设置成了root运行了

root@ubuntu:/home/username# ps aux | grep update
1000 2015 0.0 0.4 38076 13344 ? Sl 19:48 0:00 update-notifier
root 2403 97.0 0.0 6536 2136 ? RN 20:11 194:50 apt-get -qq -y update
root 3465 0.0 0.0 4016 764 pts/1 S+ 23:31 0:00 grep --color=auto update
root@ubuntu:/home/username#
这个是运行结果。。。我看不懂。。。
头像
lotutu
帖子: 730
注册时间: 2010-12-23 16:29
来自: 北京
送出感谢: 8 次
接收感谢: 8 次

Re: 请教一个问题!

#12

帖子 lotutu » 2011-04-15 22:00

update-notifier 和 apt-get都在运行,不过我不确应它们是否会对apt的文件上锁
如果是它们上的锁,那么kill了它们之后就可以用apt-get ,aptitude 之类的工具安装软件了
kill的用法是
#kill 进程号 (发送 -TERM 信号),程序可不理睬
#kill -KILL 进程号 (发送-KILL信号),强制关闭
#killall 程序名称, 如 #killall apt-get 就是关闭apt-get程序
头像
lotutu
帖子: 730
注册时间: 2010-12-23 16:29
来自: 北京
送出感谢: 8 次
接收感谢: 8 次

Re: 请教一个问题!

#13

帖子 lotutu » 2011-04-15 22:05

这个问题的实质是 apt类的程序同时只能有一个在安装软件,apt-get , aptitude , 新立得 都是apt类的
它们运行的时候会对/var下的一个文件上锁,阻止其它的apt程序改动系统,应该是用来防止软件数据库信息错乱的
而杀掉所有的apt类程序之后,自然就可以用apt-get安装软件了
回复

回到 “老旧版本支持”